import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class InitCounter extends HttpServlet {
    private int count;
    public void init()
        throws ServletException {
	String init_count = getInitParameter("init_count");
	try {
	    count = Integer.parseInt(init_count);
	}
	// NumberFormatException oder NullPointerException mglich
	catch (Exception e) {
	    count = 0;
	}
    }
    public void doGet(HttpServletRequest req, HttpServletResponse res)
        throws IOException, ServletException {
	res.setContentType("text/plain");
	PrintWriter out = res.getWriter();
	int local_count;
	synchronized (this) {
	    count++;
	    local_count = count;
	}
	out.println("count = "+local_count);
    }
}
