import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.Enumeration;

public class ShowParameters extends HttpServlet {
    public void doGet(HttpServletRequest req, HttpServletResponse res)
        throws IOException, ServletException {
	res.setContentType("text/plain");
	PrintWriter out = res.getWriter();

	out.println();
	out.println("Hier kommen alle Parameter:");

	// wir iterieren nun ber alle Parameter-Namen ...
	Enumeration e = req.getParameterNames();
	while (e.hasMoreElements()) {
	    String name = (String) e.nextElement();
	    out.print(name+" = ");
	    // alle Werte des Parameters name ausgeben
	    // geht mit der Methode getParameterValues()
	    String[] values = req.getParameterValues(name);
	    for (int i = 0; i < values.length; i++)
	        out.print((i > 0 ? ", " : "") + values[i]);
	    out.println();
	}
    }
    public void doPost(HttpServletRequest req, HttpServletResponse res)
        throws IOException, ServletException {
	doGet(req, res);
    }
}
